## ecasound 2.9.3

=== debian/changelog ===
ecasound (2.9.3-4) unstable; urgency=medium

  * Team upload.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Try harder to detect lilv (Closes: #993637)
    * Add patch to build with C++11 (required for lilv)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Nov 2021 09:19:35 +0100

ecasound (2.9.3-3) unstable; urgency=medium

  * Team upload.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch to fix string literal formats.
    Thanks to Sergei Trofimovich <slyich@gmail.com> (Closes: #997161)
  * Drop DVI and PS files from ecasound-doc
  * Fix more typos
  * Mark some files as not-installed
  * Add an autopkgtest
  * Have ecasound-el depend only on emacsen-common
  * Split out arch-indep B-Ds
  * Fix capitalisation in d/control
  * Use https:// for upstream
  * Add myself to copyright holders
  * Apply 'wrap-and-sort -ast'
  * Add salsa-ci configuration
  * Update d/watch
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

  [ Sebastian Ramacher ]
  * Remove old TODO

  [ Debian Janitor ]
  * Apply multi-arch hints. + ecasound-doc: Add Multi-Arch: foreign.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Nov 2021 17:01:57 +0100

ecasound (2.9.3-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/control:
    - Bump Standards-Version
    - Remove obsolete Breaks+Replaces+Pre-Depends
  * debian/rules:
    - Remove unnecessary --with autoreconf
    - Use architecture.mk
    - Fix permissions of python files
  * debian/patches: Fix shebang of tests
  * debian/: Use the installed manpages

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 12 Feb 2020 23:32:13 +0100

ecasound (2.9.3-1) experimental; urgency=medium

  [ Stuart Prescott ]
  * Team upload.
  * New upstream version.
  * Stop using Python 2 (Closes: #936463)
    - drop Python 2 module package.
    - add Python 3 module package.
  * Update Standards-Version to 4.4.1 (no changes required).
  * Update to debhelper-compat 12.
  * Add Rules-Requires-Root: no.
  * Don't run tests in series to prevent failures.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Update Vcs-* fields.
  * Change priority from extra to optional.

 -- Stuart Prescott <stuart@debian.org>  Thu, 16 Jan 2020 01:15:41 +1100

ecasound (2.9.1-7) unstable; urgency=medium

  * Upload to unstable
  * Add Breaks+Replaces for old libecasoundc1 (Closes: #794621)
  * Fix spelling-error-in-manpage
  * Fix depends-on-old-emacs

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 24 Aug 2015 12:02:02 +0200

ecasound (2.9.1-6) experimental; urgency=medium

  * Rename libecasoundc1 -> libecasoundc1v5 for g++5 ABI transition
    (Closes: #791026)
  * Add dh-python to Build-Depends
  * Fix capitalization-error-in-description-synopsis python Python

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 03 Aug 2015 13:54:03 +0200

ecasound (2.9.1-5) unstable; urgency=medium

  * Drop liboil-dev build dependency (Closes: #789574)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 22 Jun 2015 14:10:23 +0200

ecasound (2.9.1-4) unstable; urgency=medium

  * Switch to dh-autoreconf
  * Add 01_fix-ruby-path.patch (Closes: #739127)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 31 Mar 2014 11:53:56 +0200
