=== debian/control ===
Source: ecasound
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessandro Ghedini <ghedo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 libasound2-dev,
 libaudiofile-dev,
 libjack-dev,
 liblilv-dev (>= 0.14.2~dfsg0-4),
 liblo-dev [!sparc],
 libncurses5-dev,
 libreadline-dev,
 libsamplerate0-dev,
 libsndfile1-dev,
 libwrap0-dev,
Build-Depends-Indep:
 dh-sequence-python3,
 hevea,
 python3-all,
 python3-docutils,
 ruby,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended,
Standards-Version: 4.6.0
Homepage: https://www.eca.cx/ecasound/
Vcs-Git: https://salsa.debian.org/multimedia-team/ecasound.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ecasound
Rules-Requires-Root: no

Package: ecasound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 faad,
 lame,
 mikmod,
 mpg123,
 timidity,
 vorbis-tools,
Suggests:
 ecatools,
 nama,
 swh-plugins | ladspa-plugin,
Description: multitrack-capable audio recorder and effect processor
 Ecasound is a software package designed for multitrack audio processing. It
 can be used for simple tasks like audio playback, recording and format
 conversions, as well as for multitrack effect processing, mixing, recording
 and signal recycling.
 .
 Ecasound supports a wide range of audio inputs, outputs and effect algorithms.
 Effects and audio objects can be combined in various ways, and their parameters
 can be controlled by operator objects like oscillators and MIDI-CCs.
 .
 This package provides the ecasound executable.

Package: ecatools
Architecture: any
Depends:
 python3-ecasound (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: multitrack-capable audio recorder and effect processor (tools)
 Ecasound is a software package designed for multitrack audio processing. It
 can be used for simple tasks like audio playback, recording and format
 conversions, as well as for multitrack effect processing, mixing, recording
 and signal recycling.
 .
 Ecasound supports a wide range of audio inputs, outputs and effect algorithms.
 Effects and audio objects can be combined in various ways, and their parameters
 can be controlled by operator objects like oscillators and MIDI-CCs.
 .
 This package provides the following tools:
  * ecaconvert: tool for converting a set of files to a common target format
  * ecafixdc: command-line tool for fixing DC-offset
  * ecalength: tool for printing audio file length and other information
  * ecamonitor: tool for monitoring an active ecasound session
  * ecanormalize: command-line tool for normalizing audio files
  * ecaplay: command-line tool for playing audio files

Package: libecasoundc1v5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: multitrack-capable audio recorder and effect processor (C library)
 Ecasound is a software package designed for multitrack audio processing. It
 can be used for simple tasks like audio playback, recording and format
 conversions, as well as for multitrack effect processing, mixing, recording
 and signal recycling.
 .
 Ecasound supports a wide range of audio inputs, outputs and effect algorithms.
 Effects and audio objects can be combined in various ways, and their parameters
 can be controlled by operator objects like oscillators and MIDI-CCs.
 .
 This package provides ecasound's C library.

Package: libecasoundc-dev
Architecture: any
Section: libdevel
Depends:
 libecasoundc1v5 (= ${binary:Version}),
 ${misc:Depends},
Description: multitrack-capable audio recorder and effect processor (C dev library)
 Ecasound is a software package designed for multitrack audio processing. It
 can be used for simple tasks like audio playback, recording and format
 conversions, as well as for multitrack effect processing, mixing, recording
 and signal recycling.
 .
 Ecasound supports a wide range of audio inputs, outputs and effect algorithms.
 Effects and audio objects can be combined in various ways, and their parameters
 can be controlled by operator objects like oscillators and MIDI-CCs.
 .
 This package provides ecasound's C library development files.

Package: python3-ecasound
Architecture: all
Section: python
Depends:
 ecasound,
 ${misc:Depends},
 ${python3:Depends},
Description: multitrack-capable audio recorder and effect processor (Python bindings)
 Ecasound is a software package designed for multitrack audio processing. It
 can be used for simple tasks like audio playback, recording and format
 conversions, as well as for multitrack effect processing, mixing, recording
 and signal recycling.
 .
 Ecasound supports a wide range of audio inputs, outputs and effect algorithms.
 Effects and audio objects can be combined in various ways, and their parameters
 can be controlled by operator objects like oscillators and MIDI-CCs.
 .
 This package provides ecasound's Python bindings.

Package: ruby-ecasound
Architecture: all
Section: ruby
Depends:
 ecasound,
 ruby | ruby-interpreter,
 ${misc:Depends},
Description: multitrack-capable audio recorder and effect processor (ruby bindings)
 Ecasound is a software package designed for multitrack audio processing. It
 can be used for simple tasks like audio playback, recording and format
 conversions, as well as for multitrack effect processing, mixing, recording
 and signal recycling.
 .
 Ecasound supports a wide range of audio inputs, outputs and effect algorithms.
 Effects and audio objects can be combined in various ways, and their parameters
 can be controlled by operator objects like oscillators and MIDI-CCs.
 .
 This package provides ecasound's Ruby bindings.

Package: ecasound-el
Architecture: all
Section: lisp
Depends:
 ecasound,
 emacsen-common,
 ${misc:Depends},
Description: multitrack-capable audio recorder and effect processor (emacs)
 Ecasound is a software package designed for multitrack audio processing. It
 can be used for simple tasks like audio playback, recording and format
 conversions, as well as for multitrack effect processing, mixing, recording
 and signal recycling.
 .
 Ecasound supports a wide range of audio inputs, outputs and effect algorithms.
 Effects and audio objects can be combined in various ways, and their parameters
 can be controlled by operator objects like oscillators and MIDI-CCs.
 .
 This package provides an interactive mode for running ecasound sessions from
 within Emacs as well as Emacs Lisp bindings to the Ecasound Control Interface.

Package: ecasound-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: documentation files for Ecasound
 Ecasound is a software package designed for multitrack audio processing. It
 can be used for simple tasks like audio playback, recording and format
 conversions, as well as for multitrack effect processing, mixing, recording
 and signal recycling.
 .
 Ecasound supports a wide range of audio inputs, outputs and effect algorithms.
 Effects and audio objects can be combined in various ways, and their parameters
 can be controlled by operator objects like oscillators and MIDI-CCs.
 .
 This package provides the documentation files for ecasound.
