=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

CONFIGURE_FLAGS += --enable-liblilv

ifneq ($(DEB_HOST_ARCH_OS),linux)
	CONFIGURE_FLAGS += --disable-alsa
endif

ifneq (,$(findstring python3-ecasound, $(shell dh_listpackages)))
PYVER := $(shell py3versions -d -v)

CONFIGURE_FLAGS += PYTHONPATH=/usr/bin/python3
CONFIGURE_FLAGS += --with-python-modules=/usr/lib/python$(PYVER)
CONFIGURE_FLAGS += --enable-python-force-site-packages
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

execute_after_dh_auto_build-indep:
	$(MAKE) docs

execute_after_dh_fixperms-indep:
ifneq (,$(findstring python3-ecasound, $(shell dh_listpackages)))
	find debian/python3-ecasound -name "*.py" -print0 | xargs -0 chmod a-x
endif
ifneq (,$(findstring ruby-ecasound, $(shell dh_listpackages)))
	chmod a-x debian/ruby-ecasound/usr/lib/ruby/vendor_ruby/ecasound.rb
endif

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
	TERM=xterm LD_LIBRARY_PATH=$(CURDIR)/libecasoundc/.libs \
	dh_auto_test --no-parallel

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
