=== debian/tests/control ===
Test-Command: debian/tests/test_lop.sh /usr/share/puredata/doc/sound/*.wav /usr/share/puredata/doc/sound/*.aiff
Depends:
 ecasound,
 puredata-doc,
 python3-ecasound,
