=== debian/watch ===
version=4
https://ecasound.seul.org/download/ecasound-([\d+\.]+).tar.gz
